org.apache.myfaces.trinidad.event

## Class ChartDrillDownEvent

- java.lang.Object
- - java.util.EventObject
  - - javax.faces.event.FacesEvent
    - - org.apache.myfaces.trinidad.event.ChartDrillDownEvent

- All Implemented Interfaces:
    Serializable

      public final class ChartDrillDownEvent
      extends javax.faces.event.FacesEvent

  The Event generated when a Collection is to be sorted.
  See Also:
    Serialized Form

- - ### Field Summary

    - ### Fields inherited from class java.util.EventObject

      `source`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `ChartDrillDownEvent(javax.faces.component.UIComponent source, int[] seriesIndices, int[] yValueIndices, double[] yValues, double[] xValues)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `int[]` | `getSeriesIndices()` returns an array of series indices where the user clicked.
    `double[]` | `getXValues()` returns an array of xvalues where the user clicked.
    `int[]` | `getYValueIndices()` returns an array of yvalue indices where the user clicked.
    `double[]` | `getYValues()` returns an array of yvalues where the user clicked.
    `boolean` | `isAppropriateListener(javax.faces.event.FacesListener listener)`
    `void` | `processListener(javax.faces.event.FacesListener listener)`

    - ### Methods inherited from class javax.faces.event.FacesEvent

      `getComponent, getPhaseId, queue, setPhaseId`

    - ### Methods inherited from class java.util.EventObject

      `getSource, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### ChartDrillDownEvent

          public ChartDrillDownEvent(javax.faces.component.UIComponent source,
                             int[] seriesIndices,
                             int[] yValueIndices,
                             double[] yValues,
                             double[] xValues)

  - ### Method Detail

    - #### isAppropriateListener

          public boolean isAppropriateListener(javax.faces.event.FacesListener listener)

      Specified by:
        `isAppropriateListener` in class `javax.faces.event.FacesEvent`

    - #### processListener

          public void processListener(javax.faces.event.FacesListener listener)

      Specified by:
        `processListener` in class `javax.faces.event.FacesEvent`

    - #### getSeriesIndices

          public int[] getSeriesIndices()

      returns an array of series indices where the user clicked. In most cases only index 0 is applicable. Currently multiple indices are applicable only to areaChart and radarArea chart types.
      Returns:
        the array of series indices as an int array

    - #### getYValueIndices

          public int[] getYValueIndices()

      returns an array of yvalue indices where the user clicked. In most cases only index 0 is applicable. Currently multiple indices are applicable only to areaChart and radarArea chart types. This parameter might be null for charts where the interpolated value is computed(for e.g. area, line etc.)
      Returns:
        the array of yvalue indices as an int array

    - #### getYValues

          public double[] getYValues()

      returns an array of yvalues where the user clicked. The values in this event might be different from the data set used for displaying the chart since it might represent interpolated values (for e.g. area, line etc.)
      Returns:
        the array of yvalues as a float array

    - #### getXValues

          public double[] getXValues()

      returns an array of xvalues where the user clicked. This is currently only applicable to XYLine and scatterPlot The values in this event might be different from the data set used for displaying the chart since it might represent interpolated values (XYLine)
      Returns:
        the array of xvalues as a float array

Copyright © 2001-2017 The Apache Software Foundation. All Rights Reserved.